import { request } from '@/utils/request.js'

/**
 * 打包记录 API接口
 */
export default {
  /**
   * 数据列表
   * @returns
   */
  getPageList(params = {}) {
    return request({
      // url: "/v1/dataReport/GamePackLog/index",
      url: '/v1/advert/GamePackLog/index',
      method: 'get',
      params
    })
  },

  /**
   * 添加数据
   * @returns
   */
  save(params = {}) {
    return request({
      // url: "/v1/dataReport/GamePackLog/save",
      url: '/v1/advert/GamePackLog/save',
      method: 'post',
      data: params
    })
  },

  /**
   * 批量打包
   * @returns
   */
  batchSave(params = {}) {
    return request({
      // url: "/v1/dataReport/GamePackLog/batchSave",
      url: '/v1/advert/GamePackLog/batchSave',
      method: 'post',
      data: params
    })
  },

  /**
   * 更新数据
   * @returns
   */
  update(id, data = {}) {
    return request({
      // url: "/v1/dataReport/GamePackLog/update?id=" + id,
      url: '/v1/advert/GamePackLog/update?id=' + id,
      method: 'put',
      data
    })
  },

  /**
   * 读取数据
   * @returns
   */
  read(id) {
    return request({
      // url: "/v1/dataReport/GamePackLog/read?id=" + id,
      url: '/v1/advert/GamePackLog/read?id=' + id,
      method: 'get'
    })
  },

  /**
   * 删除数据
   * @returns
   */
  destroy(data) {
    return request({
      // url: "/v1/dataReport/GamePackLog/destroy",
      url: '/v1/advert/GamePackLog/destroy',
      method: 'delete',
      data
    })
  }
}
